package com.lovecoding.day09.duotai03;

public class Test01 {
    public static void main(String[] args) {

        //向上转换 使用多态的时候已经是向上转换了
        Pet pet = new Dog();

        //向下转换
        // 数据类型 a =  (数据类型) 被转换变量/值
        Dog dog = (Dog) pet;
        dog.lookHome();//特有

        System.out.println(pet);
        System.out.println( pet instanceof Pet ); // instanceof 检查数据类型 是 返回true
        System.out.println( pet instanceof Dog );

    }
}
